Package io.github.jdbcx.driver

# Class FileBasedJdbcConnectionManager

java.lang.Object
io.github.jdbcx.interpreter.JdbcConnectionManager
io.github.jdbcx.driver.FileBasedJdbcConnectionManager

public class FileBasedJdbcConnectionManager extends JdbcConnectionManager

## Field Summary

### Fields inherited from class io.github.jdbcx.interpreter.JdbcConnectionManager

`OPTION_ALIAS, OPTION_CACHE, OPTION_CLASSPATH, OPTION_DRIVER, OPTION_ID, OPTION_MANAGED, OPTION_URL`

## Constructor Summary

Constructors
Constructor
Description
`FileBasedJdbcConnectionManager()`

## Method Summary

Modifier and Type
Method
Description
`Connection`
`getConnection(String id)`
`void`
`reload(Properties props)`

### Methods inherited from class io.github.jdbcx.interpreter.JdbcConnectionManager

`getConnection, getInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileBasedJdbcConnectionManager

public FileBasedJdbcConnectionManager()

## Method Details

### getConnection

public Connection getConnection(String id) throws SQLException

Specified by:
  `getConnection` in class `JdbcConnectionManager`
Throws:
  `SQLException`

### reload

public void reload(Properties props)

Specified by:
  `reload` in class `JdbcConnectionManager`